<div *ngIf="OverAllRating!=0" class="OverAllRating">
    <div class="mb-2 ml-3">
        <span>
            Rating:

        </span>
        <span class="rating" *ngIf="OverAllRating!='NA'">
            <span *ngFor="let item of [].constructor(5);let i = index" [ngClass]="{'active' : i<OverAllRating}"
                attr.data-index="{{i}}">
                &#x2729;</span>
        </span>

        <span *ngIf="OverAllRating=='NA'"> {{OverAllRating}}</span>
    </div>
</div>
<div style="margin-top: -10px;" class="blogDataaa">
    <div style="text-align: center">

        <i class="fa fa-refresh fa-spin fa-2x"></i>
    </div>
</div>
<div style="margin-top: -10px;" class="blogComment" *ngIf="Replies!=null">
    <div style="text-align: center;margin-bottom: 20px;">
        <h4>Share Recipe</h4>
        <div class="share-recipe" style="display: flex; margin: auto; width: 200px;">
            <div class="fb-share-button mr-2" attr.data-href="https://pastrychefrahul.com/#/Blog/{{RecipeID}}"
                data-width="200" data-type="button_count"></div>
            <a href="https://twitter.com/intent/tweet" class="twitter-hashtag-button" 
                attr.data-url="https://pastrychefrahul.com/#/Blog/{{RecipeID}}" data-related="_vikasrai" data-count="true"
                data-show-count="true">Tweet</a>
                <a target="_blank" href="{{recipeUrl}}" class="btn btn-success ml-2" style="padding: 0px; height: 22px; min-width: 50px;"><i class="fa fa-whatsapp"></i></a>
        </div>
        <h4>Leave a Comment</h4>
        <div class="ratingContainer">
            <b>Did you made this recipe? </b>
            <div class="ratingDiv">
                <div class="ratingDescription" style="width: 50px;color: black;">
                    Rate it
                </div>
                <div class="rating">

                    <span (mouseenter)="ratingHover($event)" (mouseleave)="ratingHover($event)"
                        (click)="ratingClick($event)" *ngFor="let item of [].constructor(rating);let i = index"
                        [ngClass]="{'active' : i<displayRating}" attr.data-index="{{i}}">&#x2729;</span>

                </div>
                <div class="ratingDescription">
                    {{ratingDescription[displayRating-1]}}
                </div>
            </div>

        </div>
        <div class="replyDiv">
            <textarea name="txtreply" id="txtreply" class="form-control col-12 col-sm-12 col-md-6 col-lg-4"
                style="height: 70px;width: 400px;margin: auto;padding: 0 5px;"></textarea>
            <button (click)="reply()" class="btn btn-primary" type="button"
                style="padding: 5px; min-width: auto; width: 90px; margin-top: 5px;">Comment</button>
        </div>
        <h4>Comments</h4>
        <div class="commentDiv row" style="margin-bottom: 10px;">
            <div class="comments col-12 col-sm-12 col-md-6 col-lg-4 offset-md-3 offset-lg-4 mb-2"
                *ngFor="let comment of Replies;let i = index">
                <div class="post-comments" style="border: 2px solid #bdb6b6; padding: 3px; border-radius: 5px;">
                    <div style="display: flex;font-weight: bold;font-size:11px;line-height: 15px;">
                        <span class="text-left" style="flex: auto;">Name: {{comment.Name}} </span>
                        <span style="flex: auto;" class="text-left">{{comment.CreatedDate}}</span>
                        <span class="text-right">
                            <div class="rating">
                                <span *ngFor="let item of [].constructor(5);let i = index"
                                    [ngClass]="{'active' : i<comment.Rating}" attr.data-index="{{i}}">
                                    &#x2729;</span>
                            </div>
                        </span>
                    </div>
                    <div class="text-left" style="font-size: 13px;line-height: 20px;">
                        {{comment.Comment}}
                    </div>

                </div>
            </div>
        </div>

    </div>
</div>